#ifndef LOTOSTATEK_PLAYER_H
#define LOTOSTATEK_PLAYER_H


#include <chrono>
#include "Actor.h"
#include "Rocket.h"

class Player : public Actor {
public:
    Player(int x, int y, std::string path);
    void shoot() override;
    void alternate_shoot();
    void setFirerate(unsigned int firerate);
    void move(float deltaX, float deltaY) override;
    void moveLeft() override;
    void moveRight() override;
    void moveUp() override;
    void moveDown() override;
    std::vector<Rocket>& getRockets();
private:
    std::chrono::steady_clock::time_point lastShotTime = std::chrono::steady_clock::now();
    std::vector<Rocket> rockets;
    sf::Texture rocketTexture;
    sf::Texture bulletTexture;
};


#endif //LOTOSTATEK_PLAYER_H
